//script made by Alex, modified by NightIntruder to make it compatible with ACE3
// modified by TeTeT

if (!isNil "ace_common") exitWith { WMinitComplete = true; };

//[year, month, day, hour, minute]

//Temp symbol ?C

WMnowdate = date;
WMmonth = WMnowdate select 1;
WMhour = WMnowdate select 3;
WMtempPublic = 0;
publicVariable "WMtempPublic";

//Seasons
winter = [12,1,2]; //cold
spring = [3,4,5]; //warm
summer = [6,7,8]; //hot
autumn = [9,10,11]; //cool

//Time
early_morning = [1,2,3,4]; //semi-cold
morning = [5,6,7,8,9,10,11]; //cool
miday = [12,13,14,15,16]; //hot
evening = [17,18,19,20]; //cool
night = [21,22,23,24]; //cold

//Temperatures

//Hot
hottempwinter = [12,13,14,15];
hottempspring = [16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,35,36,37];
hottempsummer = [38,39,40,41,42,43,44,45,46,47,48,49,50,51];
hottempautumn = [21,22,23,24,25,26,27,28,29,30];

//Warm
warmtempwinter = [0,1,2,3,4,5,6,7,8,9,10];
warmtempspring = [11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33];
warmtempsummer = [35,36,37,38,39,40,41,42,43,44,45,46];
warmtempautumn = [11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30];

//Cool
cooltempwinter = [-2,-1,0,1,2,3,4,5,6,7];
cooltempspring = [8,9,10,11,12];
cooltempsummer = [13,14,15,16,17,18,19,20,21,22,23,24,25];
cooltempautumn = [6,7,8,9,10,11];

//Cold
coldtempwinter = [];
coldtempspring = [];
coldtempsummer = [];
coldtempautumn = [];


//TimeTemp
early_morningtemp = [3,4,5,6,7,8,9,10];
early_morningtemp = early_morningtemp call BIS_fnc_selectRandom;

morningtemp = [0,1,2,3];
morningtemp = morningtemp call BIS_fnc_selectRandom;

midaytemp = [0,1];
midaytemp = midaytemp call BIS_fnc_selectRandom;

eveningtemp = [1,2,3,4];
eveningtemp = eveningtemp call BIS_fnc_selectRandom;

nighttemp = [5,6,7,8,9];
nighttemp = nighttemp call BIS_fnc_selectRandom;

//Worlds

hotter = ["Takistan", "Zargabad", "Mountains_ACR", "Desert_E"];

warmter = ["Stratis", "Altis", "Intro", "Sara", "SaraLite", "Sara_dbe1", "Chernarus_Summer", "Porto", "Shapur_BAF","Tanoa"];

coolter = ["utes", "Chernarus", "Woodland_ACR", "Bootcamp_ACR", "ProvingGrounds_PMC"];

coldter = [];


//ScenarioInfo

//ScenarioSeasonWarm

world = worldname;

if (world in warmter) then
{
	if (WMmonth in winter) then
	{
		if (WMmonth == 12) then {WMtemp = warmtempwinter call BIS_fnc_selectRandom}; //December
		if (WMmonth == 1) then {WMtemp = warmtempwinter call BIS_fnc_selectRandom}; //January
		if (WMmonth == 2) then {WMtemp = warmtempwinter call BIS_fnc_selectRandom}; //February
	};

	if (WMmonth in spring) then
	{
		if (WMmonth == 3) then {WMtemp = warmtempspring call BIS_fnc_selectRandom}; //March
		if (WMmonth == 4) then {WMtemp = warmtempspring call BIS_fnc_selectRandom}; //April
		if (WMmonth == 5) then {WMtemp = warmtempspring call BIS_fnc_selectRandom}; //May
	};

	if (WMmonth in summer) then
	{
		if (WMmonth == 6) then {WMtemp = warmtempsummer call BIS_fnc_selectRandom}; //June
		if (WMmonth == 7) then {WMtemp = warmtempsummer call BIS_fnc_selectRandom}; //July
		if (WMmonth == 8) then {WMtemp = warmtempsummer call BIS_fnc_selectRandom}; //August
	};


	if (WMmonth in autumn) then
	{
		if (WMmonth == 9) then {WMtemp = warmtempautumn call BIS_fnc_selectRandom}; //September
		if (WMmonth == 10) then {WMtemp = warmtempautumn call BIS_fnc_selectRandom}; //October
		if (WMmonth == 11) then {WMtemp = warmtempautumn call BIS_fnc_selectRandom}; //November
	};
};

//ScenarioSeasonHot

world = worldname;

if (world in hotter) then
{
	if (WMmonth in winter) then
	{
		if (WMmonth == 12) then {WMtemp = hottempwinter call BIS_fnc_selectRandom}; //December
		if (WMmonth == 1) then {WMtemp = hottempwinter call BIS_fnc_selectRandom}; //January
		if (WMmonth == 2) then {WMtemp = hottempwinter call BIS_fnc_selectRandom}; //February
	};

	if (WMmonth in spring) then
	{
		if (WMmonth == 3) then {WMtemp = hottempspring call BIS_fnc_selectRandom}; //March
		if (WMmonth == 4) then {WMtemp = hottempspring call BIS_fnc_selectRandom}; //April
		if (WMmonth == 5) then {WMtemp = hottempspring call BIS_fnc_selectRandom}; //May
	};

	if (WMmonth in summer) then
	{
		if (WMmonth == 6) then {WMtemp = hottempsummer call BIS_fnc_selectRandom}; //June
		if (WMmonth == 7) then {WMtemp = hottempsummer call BIS_fnc_selectRandom}; //July
		if (WMmonth == 8) then {WMtemp = hottempsummer call BIS_fnc_selectRandom}; //August
	};

	if (WMmonth in autumn) then
	{
		if (WMmonth == 9) then {WMtemp = hottempautumn call BIS_fnc_selectRandom}; //September
		if (WMmonth == 10) then {WMtemp = hottempautumn call BIS_fnc_selectRandom}; //October
		if (WMmonth == 11) then {WMtemp = hottempautumn call BIS_fnc_selectRandom}; //November
	};
};

//ScenarioSeasonCool

world = worldname;

if (world in coolter) then
{
	if (WMmonth in winter) then
	{
		if (WMmonth == 12) then {WMtemp = cooltempwinter call BIS_fnc_selectRandom}; //December
		if (WMmonth == 1) then {WMtemp = cooltempwinter call BIS_fnc_selectRandom}; //January
		if (WMmonth == 2) then {WMtemp = cooltempwinter call BIS_fnc_selectRandom}; //February
	};

	if (WMmonth in spring) then
	{
		if (WMmonth == 3) then {WMtemp = cooltempspring call BIS_fnc_selectRandom}; //March
		if (WMmonth == 4) then {WMtemp = cooltempspring call BIS_fnc_selectRandom}; //April
		if (WMmonth == 5) then {WMtemp = cooltempspring call BIS_fnc_selectRandom}; //May
	};


	if (WMmonth in summer) then
	{
		if (WMmonth == 6) then {WMtemp = cooltempsummer call BIS_fnc_selectRandom}; //June
		if (WMmonth == 7) then {WMtemp = cooltempsummer call BIS_fnc_selectRandom}; //July
		if (WMmonth == 8) then {WMtemp = cooltempsummer call BIS_fnc_selectRandom}; //August
	};


	if (WMmonth in autumn) then
	{
		if (WMmonth == 9) then {WMtemp = cooltempautumn call BIS_fnc_selectRandom}; //September
		if (WMmonth == 10) then {WMtemp = cooltempautumn call BIS_fnc_selectRandom}; //October
		if (WMmonth == 11) then {WMtemp = cooltempautumn call BIS_fnc_selectRandom}; //November
	};
};

//ScenarioSeasonCold

world = worldname;

if (world in coldter) then
{
	if (WMmonth in winter) then
	{
		if (WMmonth == 12) then {WMtemp = coldtempwinter call BIS_fnc_selectRandom}; //December
		if (WMmonth == 1) then {WMtemp = coldtempwinter call BIS_fnc_selectRandom}; //January
		if (WMmonth == 2) then {WMtemp = coldtempwinter call BIS_fnc_selectRandom}; //February
	};

	if (WMmonth in spring) then
	{
		if (WMmonth == 3) then {WMtemp = coldtempspring call BIS_fnc_selectRandom}; //March
		if (WMmonth == 4) then {WMtemp = coldtempspring call BIS_fnc_selectRandom}; //April
		if (WMmonth == 5) then {WMtemp = coldtempspring call BIS_fnc_selectRandom}; //May
	};

	if (WMmonth in summer) then
	{
		if (WMmonth == 6) then {WMtemp = coldtempsummer call BIS_fnc_selectRandom}; //June
		if (WMmonth == 7) then {WMtemp = coldtempsummer call BIS_fnc_selectRandom}; //July
		if (WMmonth == 8) then {WMtemp = coldtempsummer call BIS_fnc_selectRandom}; //August
	};

	if (WMmonth in autumn) then
	{
		if (WMmonth == 9) then {WMtemp = coldtempautumn call BIS_fnc_selectRandom}; //September
		if (WMmonth == 10) then {WMtemp = coldtempautumn call BIS_fnc_selectRandom}; //October
		if (WMmonth == 11) then {WMtemp = coldtempautumn call BIS_fnc_selectRandom}; //November
	};
};


WMinitComplete = true;

// TeTeT: adjust weather over time?
//ScenarioTime
While {alive player} do
{
	if (WMhour in early_morning) then {WMtempPublic = WMtemp - early_morningtemp};
	if (WMhour in morning) then {WMtempPublic = WMtemp - morningtemp};
	if (WMhour in miday) then {WMtempPublic = WMtemp - midaytemp};
	if (WMhour in evening) then {WMtempPublic = WMtemp - eveningtemp};
	if (WMhour in night) then {WMtempPublic = WMtemp - nighttemp};
	sleep 800;
};
